Module java.desktop
Package javax.swing.plaf.basic

## Class BasicComboPopup.ItemHandler

- java.lang.Object
- - javax.swing.plaf.basic.BasicComboPopup.ItemHandler

- All Implemented Interfaces:
    `ItemListener`, `EventListener`
  Enclosing class:
    BasicComboPopup

      protected class BasicComboPopup.ItemHandler
      extends Object
      implements ItemListener

  This listener watches for changes to the selection in the combo box.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `ItemHandler()` |

  - ### Method Summary

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods declared in interface java.awt.event.ItemListener

      `itemStateChanged`

- - ### Constructor Detail

    - #### ItemHandler

          protected ItemHandler()